Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cert
Class SubjectKeyIdentifier

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.cert.Extension
            |
            +--org.mozilla.jss.pkix.cert.SubjectKeyIdentifier

All Implemented Interfaces:
  ASN1Value

public class SubjectKeyIdentifier
extends Extension

Represent the Subject Key Identifier Extension. This extension, if present, provides a means of identifying the particular public key used in an application. This extension by default is marked non-critical.

Extensions are addiitonal attributes which can be inserted in a X509 v3 certificate. For example a "Driving License Certificate" could have the driving license number as a extension.

Extensions are represented as a sequence of the extension identifier (Object Identifier), a boolean flag stating whether the extension is to be treated as being critical and the extension value itself (this is again a DER encoding of the extension value).

See Also:
  `Extension`

Inner Class Summary
`static class` | `SubjectKeyIdentifier.Template`

Inner classes inherited from class org.mozilla.jss.pkix.cert.Extension
`Extension.Template`

Field Summary
`private OCTET_STRING` | `keyIdentifier`
`private static OBJECT_IDENTIFIER` | `OID`

Fields inherited from class org.mozilla.jss.pkix.cert.Extension
`critical, extnId, extnValue, TAG, templateInstance`

Constructor Summary
`SubjectKeyIdentifier(boolean critical, OCTET_STRING keyIdentifier)`
`SubjectKeyIdentifier(OCTET_STRING keyIdentifier)` Constructs an SubjectKeyIdentifier from its components.

Methods inherited from class org.mozilla.jss.pkix.cert.Extension
`encode, encode, getCritical, getExtnId, getExtnValue, getTag, getTemplate`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### keyIdentifier

    private OCTET_STRING keyIdentifier

### OID

    private static OBJECT_IDENTIFIER OID

Constructor Detail

### SubjectKeyIdentifier

    public SubjectKeyIdentifier(OCTET_STRING keyIdentifier)

  Constructs an SubjectKeyIdentifier from its components.
  Parameters:
    `keyIdentifier` - must not be null.

### SubjectKeyIdentifier

    public SubjectKeyIdentifier(boolean critical,
                                OCTET_STRING keyIdentifier)

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD